Skip to main content
POST
Connect a GitHub repository

Authorizations

api_key
string
header
required

Personal API key.

Path Parameters

app_id
string
required

ID of the app to connect to a GitHub repository.

Body

application/json

Request to connect a repository.

org_name
string
required

GitHub username or organization to create the repository under, as returned in login by List GitHub organizations.

Example:

"base44"

repo_name
string
required

Name for the new repository. 1 to 100 characters made of letters, digits, hyphens, underscores or periods, starting and ending with a letter or digit, and it must not already exist on the account.

Example:

"lead-tracker"

installation_id
string
required

ID of the Base44 GitHub App installation on that account, as returned in installation_id by List GitHub organizations.

Example:

"58231904"

description
string | null

Description for the new repository. Defaults to the app's name.

Example:

"Sales lead tracker"

Response

The repository that was created and connected.

Result of connecting a repository.

connection_id
string
required

ID of the connection Base44 stored for this app.

Example:

"6890b1c4f2a7e3105d8a4472"

repo_url
string
required

URL of the repository on GitHub.

Example:

"https://github.com/base44/lead-tracker"

repo_full_name
string
required

Full repository name, as owner/repo.

Example:

"base44/lead-tracker"

clone_urls
CloneUrls · object
required

URLs and CLI command for cloning the new repository.

default_branch
string
required

Default branch of the new repository. Base44 pushes the app's code to this branch.

Example:

"main"